## org.apache.poi.hwpf.model.types
Class StshifAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.StshifAbstractType

    @Internal
    public abstract class StshifAbstractType

extends java.lang.Object

The Stshif structure specifies general stylesheet information.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Field Summary
`protected int` `field_1_cstd`
`protected int` `field_2_cbSTDBaseInFile`
`protected int` `field_3_info3`
`protected int` `field_4_stiMaxWhenSaved`
`protected int` `field_5_istdMaxFixedWhenSaved`
`protected int` `field_6_nVerBuiltInNamesWhenSaved`
`protected short` `field_7_ftcAsci`
`protected short` `field_8_ftcFE`
`protected short` `field_9_ftcOther`

Constructor Summary
`protected` `StshifAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`int` `getCbSTDBaseInFile()` An unsigned integer that specifies the size, in bytes, of the Stdf structure.
`int` `getCstd()` An unsigned integer that specifies the count of elements in STSH.rglpstd.
`short` `getFReserved()` This value MUST be zero and MUST be ignored
`short` `getFtcAsci()` A signed integer that specifies an operand value for the sprmCRgFtc0 for default document formatting.
`short` `getFtcFE()` A signed integer that specifies an operand value for the sprmCRgFtc1 for default document formatting, as defined in the section Determining Formatting Properties.
`short` `getFtcOther()` A signed integer that specifies an operand value for the sprmCRgFtc2 for default document formatting, as defined in the section Determining Formatting Properties.
`int` `getInfo3()` Get the info3 field for the Stshif record.
`int` `getIstdMaxFixedWhenSaved()` An unsigned integer that specifies the count of elements at the start of STSH.rglpstd that are reserved for fixed-index application-defined styles.
`int` `getNVerBuiltInNamesWhenSaved()` An unsigned integer that specifies the version number of the style names as defined by the application that writes the file.
`static int` `getSize()` Size of record
`int` `getStiMaxWhenSaved()` An unsigned integer that specifies a value that is 1 larger than the largest StdfBase.sti index of any application-defined style.
`boolean` `isFHasOriginalStyle()` This value MUST be 1 and MUST be ignored
`void` `serialize(byte[] data, int offset)`
`void` `setCbSTDBaseInFile(int field_2_cbSTDBaseInFile)` An unsigned integer that specifies the size, in bytes, of the Stdf structure.
`void` `setCstd(int field_1_cstd)` An unsigned integer that specifies the count of elements in STSH.rglpstd.
`void` `setFHasOriginalStyle(boolean value)` Sets the fHasOriginalStyle field value.
`void` `setFReserved(short value)` Sets the fReserved field value.
`void` `setFtcAsci(short field_7_ftcAsci)` A signed integer that specifies an operand value for the sprmCRgFtc0 for default document formatting.
`void` `setFtcFE(short field_8_ftcFE)` A signed integer that specifies an operand value for the sprmCRgFtc1 for default document formatting, as defined in the section Determining Formatting Properties.
`void` `setFtcOther(short field_9_ftcOther)` A signed integer that specifies an operand value for the sprmCRgFtc2 for default document formatting, as defined in the section Determining Formatting Properties.
`void` `setInfo3(int field_3_info3)` Set the info3 field for the Stshif record.
`void` `setIstdMaxFixedWhenSaved(int field_5_istdMaxFixedWhenSaved)` An unsigned integer that specifies the count of elements at the start of STSH.rglpstd that are reserved for fixed-index application-defined styles.
`void` `setNVerBuiltInNamesWhenSaved(int field_6_nVerBuiltInNamesWhenSaved)` An unsigned integer that specifies the version number of the style names as defined by the application that writes the file.
`void` `setStiMaxWhenSaved(int field_4_stiMaxWhenSaved)` An unsigned integer that specifies a value that is 1 larger than the largest StdfBase.sti index of any application-defined style.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_cstd

    protected int field_1_cstd

### field_2_cbSTDBaseInFile

    protected int field_2_cbSTDBaseInFile

### field_3_info3

    protected int field_3_info3

### field_4_stiMaxWhenSaved

    protected int field_4_stiMaxWhenSaved

### field_5_istdMaxFixedWhenSaved

    protected int field_5_istdMaxFixedWhenSaved

### field_6_nVerBuiltInNamesWhenSaved

    protected int field_6_nVerBuiltInNamesWhenSaved

### field_7_ftcAsci

    protected short field_7_ftcAsci

### field_8_ftcFE

    protected short field_8_ftcFE

### field_9_ftcOther

    protected short field_9_ftcOther

Constructor Detail

### StshifAbstractType

    protected StshifAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCstd

    @Internal
    public int getCstd()

  An unsigned integer that specifies the count of elements in STSH.rglpstd. This value MUST be equal to or greater than 0x000F, and MUST be less than 0x0FFE.

### setCstd

    @Internal
    public void setCstd(int field_1_cstd)

  An unsigned integer that specifies the count of elements in STSH.rglpstd. This value MUST be equal to or greater than 0x000F, and MUST be less than 0x0FFE.

### getCbSTDBaseInFile

    @Internal
    public int getCbSTDBaseInFile()

  An unsigned integer that specifies the size, in bytes, of the Stdf structure. The Stdf structure contains an StdfBase structure that is followed by a StdfPost2000OrNone structure which contains an optional StdfPost2000 structure. This value MUST be 0x000A when the Stdf structure does not contain an StdfPost2000 structure and MUST be 0x0012 when the Stdf structure does contain an StdfPost2000 structure..

### setCbSTDBaseInFile

    @Internal
    public void setCbSTDBaseInFile(int field_2_cbSTDBaseInFile)

  An unsigned integer that specifies the size, in bytes, of the Stdf structure. The Stdf structure contains an StdfBase structure that is followed by a StdfPost2000OrNone structure which contains an optional StdfPost2000 structure. This value MUST be 0x000A when the Stdf structure does not contain an StdfPost2000 structure and MUST be 0x0012 when the Stdf structure does contain an StdfPost2000 structure..

### getInfo3

    @Internal
    public int getInfo3()

  Get the info3 field for the Stshif record.

### setInfo3

    @Internal
    public void setInfo3(int field_3_info3)

  Set the info3 field for the Stshif record.

### getStiMaxWhenSaved

    @Internal
    public int getStiMaxWhenSaved()

  An unsigned integer that specifies a value that is 1 larger than the largest StdfBase.sti index of any application-defined style. This SHOULD be equal to the largest sti index that is defined in the application, incremented by 1.

### setStiMaxWhenSaved

    @Internal
    public void setStiMaxWhenSaved(int field_4_stiMaxWhenSaved)

  An unsigned integer that specifies a value that is 1 larger than the largest StdfBase.sti index of any application-defined style. This SHOULD be equal to the largest sti index that is defined in the application, incremented by 1.

### getIstdMaxFixedWhenSaved

    @Internal
    public int getIstdMaxFixedWhenSaved()

  An unsigned integer that specifies the count of elements at the start of STSH.rglpstd that are reserved for fixed-index application-defined styles. This value MUST be 0x000F.

### setIstdMaxFixedWhenSaved

    @Internal
    public void setIstdMaxFixedWhenSaved(int field_5_istdMaxFixedWhenSaved)

  An unsigned integer that specifies the count of elements at the start of STSH.rglpstd that are reserved for fixed-index application-defined styles. This value MUST be 0x000F.

### getNVerBuiltInNamesWhenSaved

    @Internal
    public int getNVerBuiltInNamesWhenSaved()

  An unsigned integer that specifies the version number of the style names as defined by the application that writes the file.

### setNVerBuiltInNamesWhenSaved

    @Internal
    public void setNVerBuiltInNamesWhenSaved(int field_6_nVerBuiltInNamesWhenSaved)

  An unsigned integer that specifies the version number of the style names as defined by the application that writes the file.

### getFtcAsci

    @Internal
    public short getFtcAsci()

  A signed integer that specifies an operand value for the sprmCRgFtc0 for default document formatting.

### setFtcAsci

    @Internal
    public void setFtcAsci(short field_7_ftcAsci)

  A signed integer that specifies an operand value for the sprmCRgFtc0 for default document formatting.

### getFtcFE

    @Internal
    public short getFtcFE()

  A signed integer that specifies an operand value for the sprmCRgFtc1 for default document formatting, as defined in the section Determining Formatting Properties.

### setFtcFE

    @Internal
    public void setFtcFE(short field_8_ftcFE)

  A signed integer that specifies an operand value for the sprmCRgFtc1 for default document formatting, as defined in the section Determining Formatting Properties.

### getFtcOther

    @Internal
    public short getFtcOther()

  A signed integer that specifies an operand value for the sprmCRgFtc2 for default document formatting, as defined in the section Determining Formatting Properties.

### setFtcOther

    @Internal
    public void setFtcOther(short field_9_ftcOther)

  A signed integer that specifies an operand value for the sprmCRgFtc2 for default document formatting, as defined in the section Determining Formatting Properties.

### setFHasOriginalStyle

    @Internal
    public void setFHasOriginalStyle(boolean value)

  Sets the fHasOriginalStyle field value. This value MUST be 1 and MUST be ignored

### isFHasOriginalStyle

    @Internal
    public boolean isFHasOriginalStyle()

  This value MUST be 1 and MUST be ignored

  Returns:
    the fHasOriginalStyle field value.

### setFReserved

    @Internal
    public void setFReserved(short value)

  Sets the fReserved field value. This value MUST be zero and MUST be ignored

### getFReserved

    @Internal
    public short getFReserved()

  This value MUST be zero and MUST be ignored

  Returns:
    the fReserved field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.